# Poco

# template < class T >

# struct HashFunction

Library: Foundation
Package: Hashing
Header: Poco/HashFunction.h

Deprecated. This struct is deprecated and should no longer be used.

## Description

A generic hash function.

## Member Summary

Member Functions: operator ()

## Member Functions

### operator ()

UInt32 operator () (
T key,
UInt32 maxValue
) const;

Returns the hash value for the given key.